Subject: ssh communication not working

From: Ivan Uemlianin <[email-masked]>
Date: Fri, 23 Jul 2010 10:42:49 +0100

Dear All

Thank you for your comments.  I apologise for my delayed response.

I can't remember why I set up smart-http.  There was a good reason at 
the time, but it's possible that the reason is no longer in effect.

I tried cloning over ssh and got an error:

     $ git clone [email-masked]:/path/to/git/myproject.git
     Initialized empty Git repository in /Users/ivan/.git/
     [email-masked]'s password: ...
     bash: git-upload-pack: command not found
     fatal: The remote end hung up unexpectedly

I have ssh access to the server, but it's possible that I haven't set up 
the server to serve git over ssh.  Please could someone point me to the 
appropriate place in the documentation?  The command git upload-pack is 
available on the client and on the server.

With thanks and best wishes

Ivan

On 20/07/2010 16:35, Jared Hance wrote:
> On Tue, Jul 20, 2010 at 02:42:29PM +0100, Ivan Uemlianin wrote:
>    
>> Is smart-http not entirely reliable?  In which case what is the
>> preferred way to communicate remotely (we need to push as well as
>> pull; there are a very small number of active developers)?
>>      
> I'm not entirely sure why the error is occuring, but the preferred way
> to communicate is over SSH. You can use the git protocol for anonymous
> pulling (but not pushing).
>    

-- 
============================================================
Ivan A. Uemlianin
Speech Technology Research and Development

                     [email-masked]
                      www.llaisdy.com
                          llaisdy.wordpress.com
                      www.linkedin.com/in/ivanuemlianin

     "Froh, froh! Wie seine Sonnen, seine Sonnen fliegen"
                      (Schiller, Beethoven)
============================================================